ext/scalar_relational.hpp File Reference

GLM_EXT_scalar_relational More...

Go to the source code of this file.

## Functions

template<typename genType >
GLM_FUNC_DECL GLM_CONSTEXPR bool | equal (genType const &x, genType const &y, genType const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<typename genType >
GLM_FUNC_DECL GLM_CONSTEXPR bool | equal (genType const &x, genType const &y, int ULPs)
| Returns the component-wise comparison between two scalars in term of ULPs. More...
template<typename genType >
GLM_FUNC_DECL GLM_CONSTEXPR bool | notEqual (genType const &x, genType const &y, genType const &epsilon)
| Returns the component-wise comparison of |x - y| >= epsilon. More...
template<typename genType >
GLM_FUNC_DECL GLM_CONSTEXPR bool | notEqual (genType const &x, genType const &y, int ULPs)
| Returns the component-wise comparison between two scalars in term of ULPs. More...

## Detailed Description

GLM_EXT_scalar_relational

Definition in file ext/scalar_relational.hpp.